<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet 
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        xmlns:st="scenari.eu:styler:1.0"
        xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
        exclude-result-prefixes="st" 
        version="1.0">
<xsl:output method="xml" encoding="UTF-8" omit-xml-declaration="yes"/>
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
<xsl:param name="vArguments"/>
      
    
<xsl:template match="*">
<wspOption key="{resultatAgent('//key')}" 
		           lang="{@lang}"
		           title="{@name}" 
		           version="{resultatAgent('//version')}"
		           uri="{resultatAgent('//uri', @lang)}">
<wspUpdate localAutoUpdate="minor">
<res key="{resultatAgent('//keyRes')}.wsp">
<description title="{@name}"/>
</res>
</wspUpdate>
<systemSpace space="~param/{resultatAgent('//uri', '')}/ss">
	        	
<res key="{resultatAgent('//keyRes')}.ss" lang="zxx">
<description title="{@name} (ss)"/>
</res>
</systemSpace>
<xsl:apply-templates select="../st:generator/st:rootModels/st:rootModel">
<xsl:with-param name="pSkinName" select="@name"/>
</xsl:apply-templates>
<editionSheet pack="{resultatAgent('//chromeCode')}" brickSelector="{{{resultatAgent('//keyResMozBrick')};{resultatAgent('//version')};zxx}}"/>
</wspOption>
</xsl:template>
    
<xsl:template match="st:rootModel">
<xsl:param name="pSkinName"/>
<xsl:variable name="vSkinFileName" select="si(ancestor::st:generator/@type='sm_odGenerator', '/skin.odt')"/>
<ssOverlay ssUri="/~param/{@owner}/ss/{@code}.ss.xml">
<ssFragment>
<module type="eu.scenari.wsp.module.gen.ModuleGenLoader" code="gen_{../../@code}">
<skin owner="{resultatAgent('//key')}" title="{$pSkinName}" code="{resultatAgent('//codeSkin')}"
	                    sc:refUri="/~param/{resultatAgent('//uri', '')}/ss/skin/{../../@code}/{resultatAgent('//codeSkin')}.doss{$vSkinFileName}"/>
</module>
</ssFragment>
</ssOverlay>
</xsl:template>
    
</xsl:stylesheet>